Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::LineWidth Class Reference

LineWidth - encapsulates the OpenGL glLineWidth for setting the width of lines in pixels. More...

Inheritance diagram for osg::LineWidth:

[legend]
List of all members.

## Public Member Functions
| LineWidth (float width=1.0f)
| LineWidth (const LineWidth &lw, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_StateAttribute (osg, LineWidth, LINEWIDTH)
virtual int | compare (const StateAttribute &sa) const
| return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs.
void | setWidth (float width)
float | getWidth () const
virtual void | apply (State &state) const
| apply the OpenGL state attributes.
## Protected Member Functions
virtual | ~LineWidth ()
## Protected Attributes
float | _width

## Detailed Description

LineWidth - encapsulates the OpenGL glLineWidth for setting the width of lines in pixels.

## Constructor & Destructor Documentation

osg::LineWidth::LineWidth | ( | float | width = 1.0f | ) |

osg::LineWidth::LineWidth | ( | const LineWidth & | lw,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY
| ) | `[inline]`

| Copy constructor using CopyOp to manage deep vs shallow copy.

virtual osg::LineWidth::~LineWidth | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual void osg::LineWidth::apply | ( | State & | state | ) | const`[virtual]`

| apply the OpenGL state attributes. The global state for the current OpenGL context is passed in to allow the StateAttribute to obtain details on the the current context and state. Implements osg::StateAttribute.

virtual int osg::LineWidth::compare | ( | const StateAttribute & | sa | ) | const`[inline, virtual]`

| return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs. Implements osg::StateAttribute.

float osg::LineWidth::getWidth | ( |  | ) | const`[inline]`

osg::LineWidth::META_StateAttribute | ( | osg | ,
|  | LineWidth | ,
|  | LINEWIDTH |
| ) |

void osg::LineWidth::setWidth | ( | float | width | ) |

## Member Data Documentation

float osg::LineWidth::_width`[protected]`

The documentation for this class was generated from the following file:

- LineWidth